commit:     e6bb16f51e140661d4fcce7bc8e2f21175809b51
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  5 04:34:33 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jan  5 04:54:52 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6bb16f5

dev-python/python-stdnum: Bump to 2.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-stdnum/Manifest                 |  1 +
 dev-python/python-stdnum/python-stdnum-2.2.ebuild | 35 +++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/python-stdnum/Manifest 
b/dev-python/python-stdnum/Manifest
index c7b210f17f08..46a68dd044ae 100644
--- a/dev-python/python-stdnum/Manifest
+++ b/dev-python/python-stdnum/Manifest
@@ -1 +1,2 @@
 DIST python_stdnum-2.1.tar.gz 1238596 BLAKE2B 
91c7189a05c88c4c5db20585ac5290ca9b98b4040be8cd9cfba852800f2a368e5f1763a2220becba05bf99c3375a74f65d305f000bbab00cea46fafcf6804093
 SHA512 
d29989fd7a13fbc07763bd61ffd56914f1fdb66d89ad9538f64cf26c00550dda2d4725f24cc7e038a7164115ed68ab9877b4f2485ffd1682500aaca38853d4c0
+DIST python_stdnum-2.2.tar.gz 1311813 BLAKE2B 
2f7cbe45536f27d16a9105749019a0efe1f86c635db53db3ff30098aca5d07bbaf3e05556619ef94be984e83bc3c0b5af4a1665dc98303107e4b7cad07775c42
 SHA512 
a4092ce09817e1606908836c8068f3dc9ccc69a21c969757fb052d755f5a475503cb722fe55100201843b551194174a27bd9ef1818a0f3befa1578dc6395234f

diff --git a/dev-python/python-stdnum/python-stdnum-2.2.ebuild 
b/dev-python/python-stdnum/python-stdnum-2.2.ebuild
new file mode 100644
index 000000000000..6b03d250d724
--- /dev/null
+++ b/dev-python/python-stdnum/python-stdnum-2.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A module to handle standardized numbers and codes"
+HOMEPAGE="
+       https://arthurdejong.org/python-stdnum/
+       https://github.com/arthurdejong/python-stdnum/
+       https://pypi.org/project/python-stdnum/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="vies"
+
+RDEPEND="
+       vies? (
+               dev-python/zeep[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e 's:--cov.*::' setup.cfg || die
+       distutils-r1_src_prepare
+}

Reply via email to